CRUD app
===========================================

Allows using of the basic CRUD operations for BMC Remedy objects (the examples are done using the User object)

Installation and Usage
----------------------

Import the demo project into Anypoint Studio.

Fill in all the values in `/main/app/mule-app.properties`

Run the demo project in Studio.

The project contains 5 flows that show how to use 5 basic operations for BMC Remedy.

Within the browser hit `http://localhost:8081`. The result would be a website that consists of five operations (Create User, Get User, Update User, Upsert User and
 Query User).

**Flows information**

*crud\_app\_template*: This is our main flow. The result of this flow will be the rendering of our form.html.

1. *create\_user*.
This flow allows you to create a user with a Username that you specify.

2. *get\_user*.
Calling this flow brings the user that has the Request ID field populated with the value you provided as input.

3. *update\_user*.
This flow allows you to update an existing user's username. To specify the user you want to update, you must provide their Id. 
Go ahead and call a get for the Id of the updated user, as shown in the previous flow.

4. *upsert\_user*.
This flow allows you to update an existing user's username, or create a new user. To specify the user you want to update, you must give their Id.
If you don't provide an Id, a new user will be created.
Go ahead and call a get for the Id of a user as shown in the get\_user flow.

5. *query\_user*.
This flow allows you to execute a query based on User object fields.
Fill in the query and click on Execute Query button. The query should have the form `'<field-name>' <condition> "<value>"`; Example: `'Login Name'="john doe"`.